## q2-feature-classifier 2024.5.0

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_feature_classifier

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

## q2-feature-classifier 2020.11.1

=== debian/changelog ===
q2-feature-classifier (2020.11.1-2) unstable; urgency=medium

  * vsearch.patch forwarded upstream.
  * Mark autopkgtest skip-not-installable.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 06 Feb 2021 13:50:20 +0100

q2-feature-classifier (2020.11.1-1) unstable; urgency=medium

  [ Liubov Chuprikova ]
  * New upstream version
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Add new (Build-)Depends

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: q2-taxa
    Closes: #974839

  [ Étienne Mollier ]
  * Add build directory to PYTHONPATH for dh_auto_test.
  * Add vsearch.patch to fix --search_exact invalid options.
  * Update versioned dependencies and dropped redundant ones.
  * Add myself to uploaders.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 28 Jan 2021 20:24:05 +0100

q2-feature-classifier (2019.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #931887)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Wed, 03 Jul 2019 19:59:31 +0200

=== debian/control ===
Source: q2-feature-classifier
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Étienne Mollier <etienne.mollier@mailoo.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov,
               python3-sklearn,
               python3-joblib,
               python3-skbio,
               ncbi-blast+,
               vsearch,
               qiime (>= 2020.11.1),
               q2-types,
               q2-quality-control,
               q2-taxa,
               q2-feature-table
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-classifier
Vcs-Git: https://salsa.debian.org/med-team/q2-feature-classifier.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-feature-classifier
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-sklearn,
         python3-skbio,
         python3-joblib,
         python3-biom-format,
         ncbi-blast+,
         vsearch,
         qiime,
         q2-types,
         q2-quality-control,
         q2-taxa,
         q2-feature-table
Description: QIIME 2 plugin supporting taxonomic classification
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-feature-classifier.egg-* \
	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_feature_classifier"
endif

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/q2-feature-classifier/usr/lib/python3/dist-packages/q2_feature_classifier/tests/data/*

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest-cov
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-feature-classifier/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-feature-classifier 2021.8.0

=== debian/changelog ===
q2-feature-classifier (2021.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Versioned (Build-)Depends qiime and q2 modules (>= 2021.8.0)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:45:36 +0200

q2-feature-classifier (2020.11.1-3) UNRELEASED; urgency=medium

  * d/control: update uploader address
  * d/watch: fix broken url to github
  * d/salsa-ci.yml: disable build test on i386; missing build dependency
    python3-skbio on i386

 -- Étienne Mollier <emollier@debian.org>  Mon, 05 Jul 2021 23:07:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: q2-feature-classifier
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,12 +14,12 @@
                python3-skbio,
                ncbi-blast+,
                vsearch,
-               qiime (>= 2020.11.1),
-               q2-types,
-               q2-quality-control,
-               q2-taxa,
-               q2-feature-table
-Standards-Version: 4.5.1
+               qiime (>= 2021.8.0),
+               q2-types (>= 2021.8.0),
+               q2-quality-control (>= 2021.8.0),
+               q2-taxa (>= 2021.8.0),
+               q2-feature-table (>= 2021.8.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-classifier.git
 Homepage: https://qiime2.org/
@@ -36,11 +36,11 @@
          python3-biom-format,
          ncbi-blast+,
          vsearch,
-         qiime,
-         q2-types,
-         q2-quality-control,
-         q2-taxa,
-         q2-feature-table
+         qiime (>= 2021.8.0),
+         q2-types (>= 2021.8.0),
+         q2-quality-control (>= 2021.8.0),
+         q2-taxa (>= 2021.8.0),
+         q2-feature-table (>= 2021.8.0)
 Description: QIIME 2 plugin supporting taxonomic classification
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-feature-classifier 2022.2.0

=== debian/changelog ===
q2-feature-classifier (2022.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/rules clean - removing egg-info files

 -- Steffen Moeller <moeller@debian.org>  Mon, 11 Jul 2022 01:28:39 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                q2-quality-control (>= 2021.8.0),
                q2-taxa (>= 2021.8.0),
                q2-feature-table (>= 2021.8.0)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-classifier.git
 Homepage: https://qiime2.org/

## q2-feature-classifier 2022.11.1

=== debian/changelog ===
q2-feature-classifier (2022.11.1-2) unstable; urgency=medium

  * sklearn-1.2.1.patch: add; fix most test failures with sklearn 1.2.1.

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Feb 2023 00:31:36 +0100

q2-feature-classifier (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2023 11:06:08 +0100

q2-feature-classifier (2022.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2022.8.0
  * drop vsearch patch
  * Update dependency on qiime/q2-* >= 2022.8.0

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 07 Sep 2022 11:22:16 +0000

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                python3-skbio,
                ncbi-blast+,
                vsearch,
-               qiime (>= 2021.8.0),
-               q2-types (>= 2021.8.0),
-               q2-quality-control (>= 2021.8.0),
-               q2-taxa (>= 2021.8.0),
-               q2-feature-table (>= 2021.8.0)
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1),
+               q2-types (>= 2022.11.1),
+               q2-quality-control (>= 2022.11.1),
+               q2-taxa (>= 2022.11.1),
+               q2-feature-table (>= 2022.11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-classifier.git
 Homepage: https://qiime2.org/
@@ -36,11 +36,11 @@
          python3-biom-format,
          ncbi-blast+,
          vsearch,
-         qiime (>= 2021.8.0),
-         q2-types (>= 2021.8.0),
-         q2-quality-control (>= 2021.8.0),
-         q2-taxa (>= 2021.8.0),
-         q2-feature-table (>= 2021.8.0)
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1),
+         q2-quality-control (>= 2022.11.1),
+         q2-taxa (>= 2022.11.1),
+         q2-feature-table (>= 2022.11.1)
 Description: QIIME 2 plugin supporting taxonomic classification
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod 644 $(CURDIR)/debian/q2-feature-classifier/usr/lib/python3/dist-packages/q2_feature_classifier/tests/data/*
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf q2_feature_classifier.egg-info/

## q2-feature-classifier 2024.2.0

=== debian/changelog ===
q2-feature-classifier (2024.2.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 13:35:26 +0200

q2-feature-classifier (2024.2.0-1ubuntu1) oracular; urgency=medium

  * d/p/python3.12.patch: add support for python 3.12

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 03 Jun 2024 16:54:54 -0300

q2-feature-classifier (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)
  * Delaying true testing to autopkgtests since QIIME2 module cannot be
    registered at build time

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 15:45:11 +0100

q2-feature-classifier (2023.7.0-2) UNRELEASED; urgency=medium

  * d/copyright: update years and debian packagers.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 15:23:36 +0200

q2-feature-classifier (2023.7.0-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 14:34:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-feature-classifier
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                python3-pytest-cov,
@@ -14,11 +16,11 @@
                python3-skbio,
                ncbi-blast+,
                vsearch,
-               qiime (>= 2022.11.1),
-               q2-types (>= 2022.11.1),
-               q2-quality-control (>= 2022.11.1),
-               q2-taxa (>= 2022.11.1),
-               q2-feature-table (>= 2022.11.1)
+               qiime (>= 2024.2),
+               q2-types (>= 2024.2),
+               q2-quality-control (>= 2024.2),
+               q2-taxa (>= 2024.2),
+               q2-feature-table (>= 2024.2)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-classifier.git
@@ -36,11 +38,11 @@
          python3-biom-format,
          ncbi-blast+,
          vsearch,
-         qiime (>= 2022.11.1),
-         q2-types (>= 2022.11.1),
-         q2-quality-control (>= 2022.11.1),
-         q2-taxa (>= 2022.11.1),
-         q2-feature-table (>= 2022.11.1)
+         qiime (>= 2024.2),
+         q2-types (>= 2024.2),
+         q2-quality-control (>= 2024.2),
+         q2-taxa (>= 2024.2),
+         q2-feature-table (>= 2024.2)
 Description: QIIME 2 plugin supporting taxonomic classification
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,22 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-feature-classifier.egg-* \
 	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
+#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
+#       at build time.
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR) \
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_feature_classifier"
+	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_feature_classifier" || true
 endif
 
 override_dh_fixperms:

## q2-feature-classifier 2024.5.0

=== debian/changelog ===
q2-feature-classifier (2024.5.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * Drop sklearn-1.2.1 patch, it was applied upstream.
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

  [ Andreas Tille ]
  * d/copyriht: Drop old FSF address
  * Verify Build-Depends which are fulfilled now
    Closes: #1071882
  * No point to remove from Debian due to broken Build-Depends
    Closes: #1114504
  * Standards-Version: 4.7.2

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2025 09:28:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 # This file is autogenerated from control.in to update versioned dependencies
 Source: q2-feature-classifier
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               python3,
+               python3-all,
                python3-setuptools,
                python3-pytest-cov,
                python3-sklearn,
                python3-joblib,
                python3-skbio,
-               ncbi-blast+,
+               ncbi-blast+ (>= 2.13),
                vsearch,
-               qiime (>= 2024.2),
-               q2-types (>= 2024.2),
-               q2-quality-control (>= 2024.2),
-               q2-taxa (>= 2024.2),
-               q2-feature-table (>= 2024.2)
-Standards-Version: 4.6.2
+               qiime (>= 2024.5),
+               q2-types (>= 2024.5),
+               q2-quality-control (>= 2024.5),
+               q2-taxa (>= 2024.5),
+               q2-feature-table (>= 2024.5)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-classifier
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-classifier.git
 Homepage: https://qiime2.org/
@@ -38,11 +37,11 @@
          python3-biom-format,
          ncbi-blast+,
          vsearch,
-         qiime (>= 2024.2),
-         q2-types (>= 2024.2),
-         q2-quality-control (>= 2024.2),
-         q2-taxa (>= 2024.2),
-         q2-feature-table (>= 2024.2)
+         qiime (>= 2024.5),
+         q2-types (>= 2024.5),
+         q2-quality-control (>= 2024.5),
+         q2-taxa (>= 2024.5),
+         q2-feature-table (>= 2024.5)
 Description: QIIME 2 plugin supporting taxonomic classification
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-feature-classifier/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
